#include <iostream>
#include <print>

// main() Funktion
int main()
{
    // Variablen für die Operanden
    short operand1, operand2;
    // Variable für den Operator
    char oper;

    // Einlesen der Formel
    std::print("Formel nach folgender Syntax eingeben:\n"
        "Operand1 Operator Operand2\n"
        "Operator kann sein: + - * /\nFormel ? ");
    std::cin >> operand1 >> oper >> operand2;

    // Ergebnissausgabe vorbereiten
    std::print("Ergebnis: ");
    // Nun den Operator auswerten und die entsprechende
    // Berechung ausführen
    switch (oper)
    {
    case '+':
        std::cout << operand1 + operand2;
        break;
    case '-':
        std::cout << operand1 - operand2;
        break;
    case '*':
        std::cout << operand1 * operand2;
        break;
    case '/':
        std::cout << operand1 / operand2;
        break;
    default:
        std::println("Nur die Operatoren +, -, * und / zugelassen!");
    }
    // Zeilenvorschub ausgeben
    std::cout << '\n';
}
